package com.zswl.cloud.springBtach.server.core.api.xiaoju.sdk.request;

import com.zswl.cloud.springBtach.server.core.api.xiaoju.sdk.OpenRequest;
import com.zswl.cloud.springBtach.server.core.api.xiaoju.sdk.domain.AllowanceInfo;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class QueryCalPriceRequest extends OpenRequest {
    private String storeId;
    private String itemName;
    private Integer amount;
    private String outUserId;
    private String mobile;
    private String deviceId;
    private final Integer openChannel = 1;
    private List<AllowanceInfo> promotionInfo;
    private String outNewUserFlag;


    public String getApiMethodName() {
        /* 141 */
        return "/open/energy/oil/v1/queryCalPrice";
    }


}

