package com.zswl.cloud.springBatch.client.model.request;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class XiaoJuStoreModel {

    private String storeId;
    private String storeName;
    private String address;
    private Float lat;
    private Float lon;
    private String cityName;
    private String provinceName;
    private String brandName;
    private String tel;
    private String openTimeHourStart;
    private String openTimeHourEnd;
    private String logo;
    private List<String> picList;
    private List<Object> itemInfoList;
    private Integer status;
    private Integer invoiceManner;
    private List<String> marketTags;
}
