package com.zswl.cloud.springBtach.server.core.api.xiaoju.sdk.response;


import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class QueryStoreDetailResponse {
    private String storeId;
    private String storeName;
    private String storeLogo;
    private List<String> storePicList;
    private String cityName;
    private String address;
    private float lon;
    private float lat;
    private String brandId;
    private String brandName;
    private Integer orderInPay;
    private String businessHoursStart;
    private String businessHoursEnd;
    private String storeTel;
    private int operatingStatus;
    private int invoiceManner = 1;
    private List<StoreDetailItemInfo> itemInfoList;

    @Data
    @NoArgsConstructor
    @AllArgsConstructor
    public class StoreDetailItemInfo {
        private String storeId;
        private int storePrice;
        private int cityPrice;
        private int vipPrice;
        private String itemId;
        private String itemName;
        private List<String> gunNos;
        private List<TagVO> tagList;

    }

    @Data
    @NoArgsConstructor
    @AllArgsConstructor
    public class TagVO {
        private Integer type;
        private Integer location;
        private Integer iconType;
        private String title;
        private String longTitle;


    }

}